.login-container {
  max-width: 400px;
  margin: 60px auto;
  padding: 2rem;
  border: 2px solid #f3bebe;
  border-radius: 8px;
  background-color: #fdfdfd;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
}

input[type="text"],
input[type="email"],
input[type="number"],
textarea,
code,
a {
  font-family: 'JetBrains Mono', monospace;
}

.login-title {
  font-size: 2rem;
  margin-bottom: 1.5rem;
  text-align: center;
  font-weight: bold;
}

.form-group {
  margin-bottom: 1.2rem;
}

label {
  display: block;
  margin-bottom: 0.4rem;
  font-weight: 500;
}

.form-control {
  width: 94%;
  padding: 0.7rem;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.btn-submit {
  width: 100%;
  padding: 0.7rem;
  background-color: #969eb5;
  color: white;
  border: none;
  border-radius: 4px;
  font-weight: bold;
  cursor: pointer;
  margin-top: 1rem;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.btn-submit:hover {
  background-color: #CAD3ED;
  transform: translateY(-1px);
}

.btn-submit:active {
  transform: translateY(0);
  background-color: #CAD3ED;
}

.login-error {
  color: darkred;
  text-align: center;
  font-weight: 600;
  margin-bottom: 1rem;
}